<html>
    <head>
        <title>FOR</title>
    </head>
    <body>
        <table id="tbl">
            
            
        </table>
        <script>
            function createTable(rowCount){
                let data = '';
                for(let k=0; k<rowCount; k++){
                    data  = data + '<tr><td style="border: 1px solid black;">jhgjghgh</td></tr>';        
                }
                document.getElementById('tbl').innerHTML = data;
            }
            createTable(6);

            function test(a){
                if(a>2){
                    console.log('dannoe znahcenie bolshe 2-h');
                } 
                else if(a<=2){
                    console.log('dannoe znahcenie menshe ili ravno k 2-m');
                }
            }

            function test2(a){
                if(a>2 && a<5){ // && оператор И - значит должен соблюдаться оба условия  
                    console.log('dannoe znahcenie bolshe 2-h i menshe 5-i');
                } 
                else if(a<=2){
                    console.log('dannoe znahcenie menshe ili ravno k 2-m');
                }else{
                    console.log('ostalnie sluchii');
                }
            }

            function test3(a){
                if(a=='hi' || a=='salem'){ // Оператор || Или хватит одного условие 
                    console.log('prvetstvie');
                } 
                else if(a=='bye'){
                    console.log('proshanye');
                }else{
                    console.log('ostalnie slova');
                }
            }

            for (let i = 1; i <= 100; i++) {
               if (i % 2==0) {
                console.log('chislo chetnoe: '+i);
              }
              else if(i % 2==1) {
                console.log('chislo ne chetnoe: '+i)
              }
            }

            for (let i = 1; i <= 100; i++) {
                if (i>=1 && i<=10){
                    console.log('chislo ot 1 do 10')
                }
                else if(i>=11 && i<=20){
                    console.log('chislo ot 11 do 20')
                }
                else if(i>=21 && i<=30){
                    console.log('chislo ot 31 do 40')
                }
            }


        
        </script>
    </body>
</html>